Class | Spec::Story::Runner::StoryRunner
In: | lib/spec/story/runner/story_runner.rb
Parent: | Object

### Methods

Story add_listener new run_stories scenario_from_current_story scenario_from_current_story

### Attributes

current_story | [RW] |
current_story_runner | [RW] |
scenarios | [RW] |
stories | [RW] |

### Public Class methods

new(scenario_runner, world_creator = World)
scenario_from_current_story(scenario_name)

### Public Instance methods

Story(title, narrative, params = {}, &body)
add_listener(listener)
run_stories()
scenario_from_current_story(scenario_name)

[Validate]